require 'rubyunit'
require 'jabber4r/jid'

class Test_JID < TestCase
	
  def test_01_basic_jid
    jid =Jabber::JID.new("rich@jabber.com/test")
    assert_equals("rich", jid.node)
    assert_equals( "test", jid.resource)
    assert_equals("jabber.com", jid.host)
  end
  
  def test_02_no_resource
    jid =Jabber::JID.new("rich@jabber.com")
    assert_equals("rich", jid.node)
    assert_nil(jid.resource)
    assert_equals("jabber.com", jid.host)
    
    jid = Jabber::JID.new("rich@jabber.com/test")
    jid.strip_resource
    assert_equals("rich", jid.node)
    assert_nil(jid.resource)
    assert_equals("jabber.com", jid.host)
  end
  
  def test_03_strip_resource
    jid = Jabber::JID.new("rich@jabber.com/test")
    assert_equals("rich", jid.node)
    assert_equals( "test", jid.resource)
    assert_equals("jabber.com", jid.host)
    jid.strip_resource
    assert_equals("rich", jid.node)
    assert_nil(jid.resource)
    assert_equals("jabber.com", jid.host)
  end
  
  def test_04_nonode_noresource
    jid = Jabber::JID.new("jabber.com")
    assert_nil(jid.resource)
    assert_nil(jid.node)
    assert_equals("jabber.com", jid.host)
  end
  
  def test_05_equals
    jid1 = Jabber::JID.new("rich@jabber.com/test")
    jid2 = Jabber::JID.new("rich@jabber.com/test")
    assert_equals(jid1, jid2)
    jid1.strip_resource
    assert((not jid1==jid2))
  end
  
end
